> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# Get all lodging Tax Names and Tax Jurisdiction names for a given state. Optional query filter available.

GET https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/{state}

> **Access control:** this endpoint is available to users with the `everyone` role.

Get all lodging Tax Names and Tax Jurisdiction names for a given state. Optional query filter available.

Reference: https://avalara.ferndocs.com/api-reference/calculations/avalara-tax-content/public-reference/listtaxandjurisnames

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `state` (string, required) — US state.

### Query parameters

- `query` (string, optional) — Query filter to apply to result list, ie "Accomodations".

## Response

### 200

OK

- `list of Avalara.POS.API.CFG.Model.LodgingModels.UserDefinedFieldDatasetModel`

## Errors

### 400 Bad Request Error

Bad Request

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### 401 Unauthorized Error

Unauthorized

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### 403 Forbidden Error

Forbidden

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### 404 Not Found Error

Not Found

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

## Types

### Avalara.POS.API.CFG.Model.LodgingModels.UserDefinedFieldDatasetModel

- `companyId` (integer, required) — AvaTax Company ID.
- `taxJurisdictionName` (string, required)
- `taxJurisdictionLevel` (string, required)
- `taxName` (string, required)
- `state` (string, required)
- `udfValue` (string, required)
- `accountId` (integer, optional, nullable) — AvaTax Account ID.
- `createdBy` (integer, optional) — Created user ID.
- `createdDate` (string, optional, nullable) — Created date.
- `modifiedBy` (integer, optional) — Last modifying user ID.
- `modifiedDate` (string, optional, nullable) — Last modified date.
- `customerSourceField` (string, optional, nullable)
- `approved` (boolean, optional)
- `udfKey` (string, optional, nullable)
- `udfDatasetId` (string, optional, nullable)
- `isCurrent` (boolean, optional, nullable) — Indicates whether this is the current active record. This property is read-only and any attempts to set its value will be ignored. The value is calculated internally based on the record's state.

## Examples

**Response**

```json
[
  {
    "companyId": 1,
    "taxJurisdictionName": "string",
    "taxJurisdictionLevel": "string",
    "taxName": "string",
    "state": "string",
    "udfValue": "string",
    "accountId": 1,
    "createdBy": 1,
    "createdDate": "2021-04-21T20:09:19.2207167Z.",
    "modifiedBy": 1,
    "modifiedDate": "2021-04-21T20:09:19.2207167Z.",
    "customerSourceField": "string",
    "approved": true,
    "udfKey": "string",
    "udfDatasetId": "string",
    "isCurrent": true
  }
]
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/state"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/state';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/state"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/state")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/state")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/state', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/state");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/content/configuration/v1/atcse/TaxNames/state")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```